Loading...
Searching...
No Matches
pcl::gpu::ScopeTimer Struct Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp>`

## Public Member Functions

| ScopeTimer (const char *name_)
| ~ScopeTimer ()

## Public Attributes

const char * | name
cudaEvent_t | start
cudaEvent_t | stop

## Detailed Description

Definition at line 74 of file timers_cuda.hpp.

## Constructor & Destructor Documentation

## ScopeTimer()

pcl::gpu::ScopeTimer::ScopeTimer | ( | const char * | name_ | ) |

inline

Definition at line 78 of file timers_cuda.hpp.

References name, start, and stop.

## ~ScopeTimer()

pcl::gpu::ScopeTimer::~ScopeTimer | ( |  | ) |

inline

Definition at line 84 of file timers_cuda.hpp.

References name, start, and stop.

## Member Data Documentation

## name

const char* pcl::gpu::ScopeTimer::name

Definition at line 76 of file timers_cuda.hpp.

Referenced by ScopeTimer(), and ~ScopeTimer().

## start

cudaEvent_t pcl::gpu::ScopeTimer::start

Definition at line 77 of file timers_cuda.hpp.

Referenced by ScopeTimer(), and ~ScopeTimer().

## stop

cudaEvent_t pcl::gpu::ScopeTimer::stop

Definition at line 77 of file timers_cuda.hpp.

Referenced by ScopeTimer(), and ~ScopeTimer().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp